<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celPcCommon Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">celPcCommon Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celPcCommon" --><!-- doxytag: inherits="scfImplementation4&lt; celPcCommon, iCelPropertyClass, iCelTimerListener, iMessageSender, iMessageReceiver &gt;" -->
<p>This is a common implementation for a property class from which all other property classes can inherit.  
 <a href="classcelPcCommon.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="stdpcimp_8h_source.html">celtool/stdpcimp.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celPcCommon:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelPcCommon.png" usemap="#celPcCommon_map" alt=""/>
  <map id="celPcCommon_map" name="celPcCommon_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation4.html" alt="scfImplementation4&lt; celPcCommon, iCelPropertyClass, iCelTimerListener, iMessageSender, iMessageReceiver &gt;" shape="rect" coords="668,112,1326,136"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation.html" alt="scfImplementation&lt; Class &gt;" shape="rect" coords="668,56,1326,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,658,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationHelper.html" alt="scfImplementationHelper" shape="rect" coords="668,0,1326,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classCS_1_1Memory_1_1CustomAllocated.html" alt="CS::Memory::CustomAllocated" shape="rect" coords="1336,0,1994,24"/>
<area href="structcelPcCameraCommon.html" title="The representation of a camera." alt="celPcCameraCommon" shape="rect" coords="668,224,1326,248"/>
</map>
 </div></div>

<p><a href="classcelPcCommon-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelPcCommon.html#ab5945c8b98c349d72be91e98ff590887">AddAction</a> (int idx, const char *id)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper function to setup an action.  <a href="#ab5945c8b98c349d72be91e98ff590887"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelPcCommon.html#ae49d96b36984d838bf1ac6413e93802e">AddProperty</a> (size_t idx, const char *id, celDataType type, bool readonly, const char *desc, void *prop)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper function to setup properties.  <a href="#ae49d96b36984d838bf1ac6413e93802e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelPcCommon.html#aa22230644e43131be0c6bbe0811fb2f7">SetActionMask</a> (const char *mask)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup the mask used for receiving action messages.  <a href="#aa22230644e43131be0c6bbe0811fb2f7"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a common implementation for a property class from which all other property classes can inherit. </p>
<p>This makes it easier to write a property class. </p>

<p>Definition at line <a class="el" href="stdpcimp_8h_source.html#l00096">96</a> of file <a class="el" href="stdpcimp_8h_source.html">stdpcimp.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab5945c8b98c349d72be91e98ff590887"></a><!-- doxytag: member="celPcCommon::AddAction" ref="ab5945c8b98c349d72be91e98ff590887" args="(int idx, const char *id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classcelPcCommon.html#ab5945c8b98c349d72be91e98ff590887">celPcCommon::AddAction</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inline, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Helper function to setup an action. </p>

<p>Definition at line <a class="el" href="stdpcimp_8h_source.html#l00131">131</a> of file <a class="el" href="stdpcimp_8h_source.html">stdpcimp.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae49d96b36984d838bf1ac6413e93802e"></a><!-- doxytag: member="celPcCommon::AddProperty" ref="ae49d96b36984d838bf1ac6413e93802e" args="(size_t idx, const char *id, celDataType type, bool readonly, const char *desc, void *prop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classcelPcCommon.html#ae49d96b36984d838bf1ac6413e93802e">celPcCommon::AddProperty</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">celDataType&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>readonly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>desc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>prop</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inline, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Helper function to setup properties. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">idx</td><td>is a numerical index for the property starting at 0. </td></tr>
    <tr><td class="paramname">id</td><td>is the id string ('bla'). </td></tr>
    <tr><td class="paramname">type</td><td>is the type for the property. </td></tr>
    <tr><td class="paramname">readonly</td><td></td></tr>
    <tr><td class="paramname">desc</td><td>is the description. </td></tr>
    <tr><td class="paramname">pointer</td><td>is the pointer of the field this property corresponds with or 0 if it requires manual intervention. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="stdpcimp_8h_source.html#l00152">152</a> of file <a class="el" href="stdpcimp_8h_source.html">stdpcimp.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa22230644e43131be0c6bbe0811fb2f7"></a><!-- doxytag: member="celPcCommon::SetActionMask" ref="aa22230644e43131be0c6bbe0811fb2f7" args="(const char *mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classcelPcCommon.html#aa22230644e43131be0c6bbe0811fb2f7">celPcCommon::SetActionMask</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>mask</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup the mask used for receiving action messages. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>celtool/<a class="el" href="stdpcimp_8h_source.html">stdpcimp.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
